package com.glxp.udidl.admin.controller.info;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.entity.udid.JobLog;
import com.glxp.udidl.admin.req.udid.JobLogFilterRequest;
import com.glxp.udidl.admin.req.udid.JobRequest;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udi.JobLogService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

@Api(tags = "任务日志接口")
@ApiIgnore
@RestController
@RequestMapping("/jobLog")
public class JobLogController {

    @Autowired
    JobLogService jobLogService;

    @ApiOperation(value = "UDI日志信息", response = JobLog.class)
    @AuthRuleAnnotation("jobLog/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody JobLogFilterRequest jobLogFilterRequest) {
        return jobLogService.getList(jobLogFilterRequest);
    }

    @AuthRuleAnnotation("jobLog/delete")
    @PostMapping("/delete")
    public BaseResponse deleteById(@RequestBody JobRequest jobRequest) {
        int result = jobLogService.deleteById(jobRequest.getJobId());
        if (result != -1) {
            return ResultVOUtils.success("删除成功");
        } else {
            return ResultVOUtils.error(500, "下载失败！");
        }
    }


}
