package com.glxp.udidl.admin.controller.sys;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.sys.SysMenuModel;
import com.glxp.udidl.admin.req.sys.SysMenuRequest;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.sys.SysMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

@ApiIgnore
@RestController
@RequestMapping("sys/menu")
public class SysMenuController {

    @Autowired
    SysMenuService sysMenuService;

    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody SysMenuRequest sysMenuRequest) {
        return sysMenuService.getList(sysMenuRequest);
    }

    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/insert")
    public BaseResponse insert(@RequestBody SysMenuModel model) {
        return sysMenuService.insert(model);
    }

    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("update")
    public BaseResponse update(@RequestBody SysMenuModel model) {
        return sysMenuService.update(model);
    }

    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/detail")
    public BaseResponse detail(Integer id) {
        return sysMenuService.detail(id);
    }

    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/delete")
    public BaseResponse delete(Integer id) {
        return sysMenuService.delete(id);
    }
}
