package com.glxp.udidl.admin.controller.sys;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.sys.SysRoleMenuModel;
import com.glxp.udidl.admin.dto.sys.SysRoleModel;
import com.glxp.udidl.admin.dto.sys.SysRoleParam;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.sys.SysRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

@ApiIgnore
@RestController
@RequestMapping("sys/role")
public class SysRoleController {

    @Autowired
    SysRoleService sysRoleService;

    @AuthRuleAnnotation("sys_role_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody SysRoleParam param) {
        return sysRoleService.list(param);
    }

    @AuthRuleAnnotation("sys_role_all")
    @PostMapping("/insert")
    public BaseResponse insert(@RequestBody SysRoleModel model) {
        return sysRoleService.insert(model);
    }

    @AuthRuleAnnotation("sys_role_all")
    @PostMapping("update")
    public BaseResponse update(@RequestBody SysRoleModel model) {
        return sysRoleService.update(model);
    }

    @AuthRuleAnnotation("sys_role_all")
    @PostMapping("/detail")
    public BaseResponse detail(Integer id) {
        return sysRoleService.detail(id);
    }

    @AuthRuleAnnotation("sys_role_all")
    @PostMapping("/delete")
    public BaseResponse delete(Integer id) {
        return sysRoleService.delete(id);
    }

    @AuthRuleAnnotation("sys_role_all")
    @PostMapping("/getRoleMenu")
    public BaseResponse getRoleMenu(Integer roleId) {
        return sysRoleService.getRoleMenu(roleId);
    }

    @AuthRuleAnnotation("sys_role_all")
    @PostMapping("/saveRoleMenu")
    public BaseResponse saveRoleMenu(@RequestBody SysRoleMenuModel model) {
        return sysRoleService.saveRoleMenu(model);
    }
}
