package com.glxp.udidl.admin.controller.tyapi;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.glxp.udidl.admin.entity.tyapi.TyCompanySearchEntity;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.tyapi.TyCompanySearchService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "天眼查API接口")
@RestController
public class TySearchController {

    @Resource
    TyCompanySearchService tyCompanySearchService;

    @ApiOperation(value = "天眼查企业信息查询", response = TyCompanySearchEntity.class)
    @GetMapping("udidl/ty/company/findBycCeditCode")
    public BaseResponse findBycCeditCode(String creditCode) {

        if (StrUtil.isEmpty(creditCode)) {
            return ResultVOUtils.error(500, "统一社会信用代码不能为空！");
        }
        List<TyCompanySearchEntity> tyCompanySearchEntityList = tyCompanySearchService.list(new QueryWrapper<TyCompanySearchEntity>().eq("creditCode", creditCode));
        if (CollUtil.isEmpty(tyCompanySearchEntityList)) {
            return ResultVOUtils.error(500, "查无企业信息");
        } else {
            return ResultVOUtils.success(tyCompanySearchEntityList.get(0));
        }
    }

}
