package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.ProductParam;
import com.glxp.udidl.admin.dto.udplat.UnitsListModel;
import com.glxp.udidl.admin.dto.udplat.UnitsParam;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.service.udplat.UdplatDistributorService;
import com.glxp.udidl.admin.service.udplat.UdplatGoodsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

@Api(tags = "阳光采购平台第三方接口")
@RestController
public class ThirdApiController {

    @Autowired
    UdplatDistributorService udplatDistributorService;
    @Autowired
    UdplatGoodsService udplatGoodsService;

    @ApiOperation("获取往来单位信息")
    @AuthRuleAnnotation("udiwms/erp/getUnits")
    @PostMapping("/udiwms/erp/getUnits")
    public BaseResponse<PageSimpleResponse<UnitsListModel>> getUnitsList(@RequestBody UnitsParam param) {
        return udplatDistributorService.getUnitsList(param);
    }

    @ApiOperation("获取产品信息")
    @AuthRuleAnnotation("udiwms/erp/getProducts")
    @PostMapping("/udiwms/erp/getProducts")
    public BaseResponse getProducts(@RequestBody ProductParam param) {
        return udplatGoodsService.getProducts(param);
    }
}
