package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UdplatDistributorModel;
import com.glxp.udidl.admin.entity.udplat.UdplatDistributor;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udplat.UdplatDistributorService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 配送企业
 */
@Api(tags = "阳光采购平台配送企业信息接口")
@RestController
@RequestMapping("/udplat/distributor")
public class UdplatDistributorController {

    @Autowired
    private UdplatDistributorService udplatDistributorService;

    @ApiOperation(value = "查询配送企业信息", response = UdplatDistributor.class)
    @AuthRuleAnnotation("udplat/distributor/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param) {
        return udplatDistributorService.getList(param);
    }

    @ApiOperation(value = "导入配送企业信息")
    @AuthRuleAnnotation("udplat/distributor/import")
    @PostMapping("/import")
    public BaseResponse imports(@RequestBody List<UdplatDistributorModel> models) {
        return udplatDistributorService.save(models, "import");
    }

    @ApiOperation(value = "导出配送企业信息")
    @AuthRuleAnnotation("udplat/distributor/export")
    @GetMapping("/export")
    public void export(HttpServletResponse response) {
        udplatDistributorService.exportToFile(response);
    }
}
