package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UdplatHospitalModel;
import com.glxp.udidl.admin.entity.udplat.UdplatHospital;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udplat.UdplatHospitalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@Api(tags = "阳光采购平台医疗机构信息接口")
@RestController
@RequestMapping("/udplat/hospital")
public class UdplatHospitalController {

    @Autowired
    private UdplatHospitalService udplatHospitalService;

    @ApiOperation(value = "查询医疗机构信息", response = UdplatHospital.class)
    @ApiResponse(code = 20000, message = "success")
    @AuthRuleAnnotation("udplat/hospital/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param) {
        return udplatHospitalService.getList(param);
    }

    @ApiOperation(value = "导入医疗机构信息")
    @AuthRuleAnnotation("udplat/hospital/import")
    @PostMapping("/import")
    public BaseResponse imports(@RequestBody List<UdplatHospitalModel> models) {
        return udplatHospitalService.save(models, "import");
    }

    @ApiOperation(value = "导出医疗机构信息")
    @AuthRuleAnnotation("udplat/hospital/export")
    @GetMapping("/export")
    public void export(HttpServletResponse response) {
        udplatHospitalService.exportToFile(response);
    }
}
