package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.entity.udplat.UdplatLog;
import com.glxp.udidl.admin.req.udid.JobLogFilterRequest;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.dataSync.UdplatSyncService;
import com.glxp.udidl.admin.service.udplat.UdplatLogService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "阳光采购平台日志接口")
@RestController
@RequestMapping("/udplat/log")
public class UdplatLogController {

    @Autowired
    UdplatLogService udplatLogService;
    @Autowired
    UdplatSyncService udplatSyncService;

    @ApiOperation(value = "查询日志信息", response = UdplatLog.class)
    @AuthRuleAnnotation("udplat/log/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody JobLogFilterRequest param) {
        return udplatLogService.getList(param);
    }

    @ApiOperation(value = "重新下载阳光采购平台数据")
    @AuthRuleAnnotation("udplat/log/udplatSync")
    @PostMapping("/udplatSync")
    public BaseResponse udplatSync(String tbName) {
        udplatSyncService.downloadAndSave("manual", tbName);
        return ResultVOUtils.success("后台已开始下载！");
    }

}
