package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UdplatManufactureModel;
import com.glxp.udidl.admin.entity.udplat.UdplatManufacture;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udplat.UdplatManufactureService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


@Api(tags = "阳光采购平台生产企业信息接口")
@RestController
@RequestMapping("/udplat/manufacture")
public class UdplatManufactureController {

    @Autowired
    private UdplatManufactureService udplatManufactureService;

    @ApiOperation(value = "查询生产企业信息", response = UdplatManufacture.class)
    @AuthRuleAnnotation("udplat/manufacture/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param) {
        return udplatManufactureService.getList(param);
    }

    @ApiOperation(value = "导入生产企业信息")
    @AuthRuleAnnotation("udplat/manufacture/import")
    @PostMapping("/import")
    public BaseResponse imports(@RequestBody List<UdplatManufactureModel> models) {
        return udplatManufactureService.save(models, "import");
    }

    @ApiOperation(value = "导出生产企业信息")
    @AuthRuleAnnotation("udplat/manufacture/export")
    @GetMapping("/export")
    public void export(HttpServletResponse response) {
        udplatManufactureService.exportToFile(response);
    }

}
