package com.glxp.udidl.admin.dao.udi;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.dto.device.ProductDetailModel;
import com.glxp.udidl.admin.entity.udi.ProductInfoEntity;
import com.glxp.udidl.admin.req.ListPageRequest;
import com.glxp.udidl.admin.req.ProductInfoFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProductInfoMapper extends BaseMapper<ProductInfoEntity> {

    List<ProductInfoEntity> filterProductInfo(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterCpmctymc(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdiByTyshxydm(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdiByCreditNo(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdiByNewest(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> selectByUpdateTime(@Param("startDate") String startDate, @Param("endDate") String endDate);//按更新时间查询

    boolean insertProductInfo(ProductInfoEntity productInfoEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteAll(@Param("ids") List<String> ids);

    boolean updateProductInfo(ProductInfoEntity productInfoEntity);

    boolean updateProductByUuid(ProductInfoEntity productInfoEntity);

    List<String> findAllUuids(ListPageRequest listPageRequest);

    List<String> findAllNameCodes(ListPageRequest listPageRequest);


    List<ProductInfoEntity> selectByUuid(@Param("uuid") String uuid);

    List<ProductInfoEntity> filterUdi(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdiNoPage(ProductInfoFilterRequest productInfoFilterRequest);

    Long filterUdiNoPageCount(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> syncDlUdi(ProductInfoFilterRequest productInfoFilterRequest);

    List<String> filterUuidByCreditNo(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> selectAllByUuid(@Param("ids") List<String> ids);

    List<String> findAllTyshxyh();

    List<ProductDetailModel> selectByDeviceRecordKey(String key);

    boolean updateCplx(ProductInfoEntity productInfoEntity);

    boolean updateProductInfoData(ProductInfoEntity productInfoEntity);
}
