package com.glxp.udidl.admin.entity.info;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("company")
@ApiModel(value = "企业信息实体")
public class CompanyEntity {


    @ApiModelProperty(value = "ID主键")
    @TableId(type = IdType.AUTO)
    private Integer id;        //自增长ID

    @ApiModelProperty(value = "企业名称")
    private String name;        //企业名称

    @ApiModelProperty(value = "企业类型")
    private String category;    //企业类型

    @ApiModelProperty(value = "统一社会信用代码")
    private String creditCode;  //统一社会信用代码

    @ApiModelProperty(value = "住所地址")
    private String addr;        //住所地址

    @ApiModelProperty(value = "生产地址")
    private String productAddr; //生产地址

    @ApiModelProperty(value = "企业类别：1.生产企业，2.流通企业，3.医疗机构")
    private String classes;     //企业类别         //企业类别：1.生产企业，2.流通企业，3.医疗机构

    @ApiModelProperty(value = "应用码")
    private String appId;

    @ApiModelProperty(value = "应用授权码")
    private String appSecret;

    @ApiModelProperty(value = "统一社会信用代码",required = true)
    private String tyshxydm;    //统一社会信用代码

    @ApiModelProperty(value = "账号数据来源：1.UDIMS，2.UDI自助平台")
    private String dataSource;

    @ApiModelProperty(value = "任务类型： 0：下载任务  1：更新任务")
    private Integer taskType;
}
