package com.glxp.udidl.admin.entity.info;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "国家同步库文件信息实体")
public class FileInfoEntity {

    @ApiModelProperty(value = "id")
    private Integer Id;

    @ApiModelProperty(value = "类型")
    private String type;    //类型 如 productInfo 可填表名

    @ApiModelProperty(value = "下载类型：auto(自动下载),manual(手动下载)")
    private String downloadType;//下载类型：auto(自动下载),manual(手动下载)

    @ApiModelProperty(value = "开始时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDate;

    @ApiModelProperty(value = "结束时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDate;

    @ApiModelProperty(value = "文件名")
    private String fileName;//文件名

    @ApiModelProperty(value = "数量")
    private Integer count; //数量

    @ApiModelProperty(value = "文件大小")
    private long fileSize;//文件大小

    @ApiModelProperty(value = "创建时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;//创建时间

}
