package com.glxp.udidl.admin.entity.tyapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 企业详细信息表
    */
@ApiModel(value="com-glxp-udidl-admin-entity-tyapi-TyCompanyDetail")
@Data
@TableName(value = "ty_company_detail")
public class TyCompanyDetailEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private String id;

    /**
     * 曾用名
     */
    @TableField(value = "historyNames")
    @ApiModelProperty(value="曾用名")
    private String historyNames;

    /**
     * 注销日期
     */
    @TableField(value = "cancelDate")
    @ApiModelProperty(value="注销日期")
    private String cancelDate;

    /**
     * 企业状态
     */
    @TableField(value = "regStatus")
    @ApiModelProperty(value="企业状态")
    private String regStatus;

    /**
     * 注册资本
     */
    @TableField(value = "regCapital")
    @ApiModelProperty(value="注册资本")
    private String regCapital;

    /**
     * 市
     */
    @TableField(value = "city")
    @ApiModelProperty(value="市")
    private String city;

    /**
     * 人员规模
     */
    @TableField(value = "staffNumRange")
    @ApiModelProperty(value="人员规模")
    private String staffNumRange;

    /**
     * 股票名
     */
    @TableField(value = "bondNum")
    @ApiModelProperty(value="股票名")
    private String bondNum;

    /**
     * 曾用名列表
     */
    @TableField(value = "historyNameList")
    @ApiModelProperty(value="曾用名列表")
    private String historyNameList;

    /**
     * 行业
     */
    @TableField(value = "industry")
    @ApiModelProperty(value="行业")
    private String industry;

    /**
     * 股票名
     */
    @TableField(value = "bondName")
    @ApiModelProperty(value="股票名")
    private String bondName;

    /**
     * 吊销日期
     */
    @TableField(value = "revokeDate")
    @ApiModelProperty(value="吊销日期")
    private String revokeDate;

    /**
     * 法人类型，1 人 2 公司
     */
    @TableField(value = "`type`")
    @ApiModelProperty(value="法人类型，1 人 2 公司")
    private String type;

    /**
     * 更新时间
     */
    @TableField(value = "updateTimes")
    @ApiModelProperty(value="更新时间")
    private String updateTimes;

    /**
     * 法人
     */
    @TableField(value = "legalPersonName")
    @ApiModelProperty(value="法人")
    private String legalPersonName;

    /**
     * 吊销原因
     */
    @TableField(value = "revokeReason")
    @ApiModelProperty(value="吊销原因")
    private String revokeReason;

    /**
     * 注册号
     */
    @TableField(value = "regNumber")
    @ApiModelProperty(value="注册号")
    private String regNumber;

    /**
     * 统一社会信用代码
     */
    @TableField(value = "creditCode")
    @ApiModelProperty(value="统一社会信用代码")
    private String creditCode;

    /**
     * 英文名
     */
    @TableField(value = "property3")
    @ApiModelProperty(value="英文名")
    private String property3;

    /**
     * 股票曾用名
     */
    @TableField(value = "usedBondName")
    @ApiModelProperty(value="股票曾用名")
    private String usedBondName;

    /**
     * 核准时间
     */
    @TableField(value = "approvedTime")
    @ApiModelProperty(value="核准时间")
    private String approvedTime;

    /**
     * 经营开始时间
     */
    @TableField(value = "fromTime")
    @ApiModelProperty(value="经营开始时间")
    private String fromTime;

    /**
     * 参保人数
     */
    @TableField(value = "socialStaffNum")
    @ApiModelProperty(value="参保人数")
    private String socialStaffNum;

    /**
     * 实收注册资本币种 人民币 美元 欧元 等
     */
    @TableField(value = "actualCapitalCurrency")
    @ApiModelProperty(value="实收注册资本币种 人民币 美元 欧元 等")
    private String actualCapitalCurrency;

    /**
     * 简称
     */
    @TableField(value = "`alias`")
    @ApiModelProperty(value="简称")
    private String alias;

    /**
     * 企业类型
     */
    @TableField(value = "companyOrgType")
    @ApiModelProperty(value="企业类型")
    private String companyOrgType;

    /**
     * 注销原因
     */
    @TableField(value = "cancelReason")
    @ApiModelProperty(value="注销原因")
    private String cancelReason;

    /**
     * 组织机构代码
     */
    @TableField(value = "orgNumber")
    @ApiModelProperty(value="组织机构代码")
    private String orgNumber;

    /**
     * 邮箱
     */
    @TableField(value = "email")
    @ApiModelProperty(value="邮箱")
    private String email;

    /**
     * 经营结束时间
     */
    @TableField(value = "toTime")
    @ApiModelProperty(value="经营结束时间")
    private String toTime;

    /**
     * 实收注册资金
     */
    @TableField(value = "actualCapital")
    @ApiModelProperty(value="实收注册资金")
    private String actualCapital;

    /**
     * 成立日期
     */
    @TableField(value = "estiblishTime")
    @ApiModelProperty(value="成立日期")
    private String estiblishTime;

    /**
     * 登记机关
     */
    @TableField(value = "regInstitute")
    @ApiModelProperty(value="登记机关")
    private String regInstitute;

    /**
     * 经营范围
     */
    @TableField(value = "businessScope")
    @ApiModelProperty(value="经营范围")
    private String businessScope;

    /**
     * 纳税人识别号
     */
    @TableField(value = "taxNumber")
    @ApiModelProperty(value="纳税人识别号")
    private String taxNumber;

    /**
     * 注册地址
     */
    @TableField(value = "regLocation")
    @ApiModelProperty(value="注册地址")
    private String regLocation;

    /**
     * 注册资本币种 人民币 美元 欧元 等
     */
    @TableField(value = "regCapitalCurrency")
    @ApiModelProperty(value="注册资本币种 人民币 美元 欧元 等")
    private String regCapitalCurrency;

    /**
     * 企业标签
     */
    @TableField(value = "tags")
    @ApiModelProperty(value="企业标签")
    private String tags;

    /**
     * 网址
     */
    @TableField(value = "websiteList")
    @ApiModelProperty(value="网址")
    private String websiteList;

    /**
     * 企业联系方式
     */
    @TableField(value = "phoneNumber")
    @ApiModelProperty(value="企业联系方式")
    private String phoneNumber;

    /**
     * 区
     */
    @TableField(value = "district")
    @ApiModelProperty(value="区")
    private String district;

    /**
     * 股票类型
     */
    @TableField(value = "bondType")
    @ApiModelProperty(value="股票类型")
    private String bondType;

    /**
     * 企业名
     */
    @TableField(value = "`name`")
    @ApiModelProperty(value="企业名")
    private String name;

    /**
     * 企业评分
     */
    @TableField(value = "percentileScore")
    @ApiModelProperty(value="企业评分")
    private String percentileScore;

    /**
     * 国民经济行业分类
     */
    @TableField(value = "industryAll")
    @ApiModelProperty(value="国民经济行业分类")
    private String industryAll;

    /**
     * 是否是小微企业 0不是 1是
     */
    @TableField(value = "isMicroEnt")
    @ApiModelProperty(value="是否是小微企业 0不是 1是")
    private String isMicroEnt;

    /**
     * 省份简称
     */
    @TableField(value = "base")
    @ApiModelProperty(value="省份简称")
    private String base;

    private static final long serialVersionUID = 1L;
}
