package com.glxp.udidl.admin.entity.tyapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 搜索企业结果信息表
    */
@ApiModel(value="com-glxp-udidl-admin-entity-tyapi-TyCompanySearch")
@Data
@TableName(value = "ty_company_search")
public class TyCompanySearchEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private String id;

    /**
     * 公司名
     */
    @TableField(value = "`name`")
    @ApiModelProperty(value="公司名")

    private String name;

    /**
     * 经营状态
     */
    @TableField(value = "regStatus")
    @ApiModelProperty(value="经营状态")
    private String regStatus;

    /**
     * 成立日期
     */
    @TableField(value = "estiblishTime")
    @ApiModelProperty(value="成立日期")
    private String estiblishTime;

    /**
     * 注册资本
     */
    @TableField(value = "regCapital")
    @ApiModelProperty(value="注册资本")
    private String regCapital;

    /**
     * 机构类型-1：公司；2：香港企业；3：社会组织；4：律所；5：事业单位；6：基金会；7-不存在法人、注册资本、统一社会信用代码、经营状态;8：台湾企业；9-新机构
     */
    @TableField(value = "companyType")
    @ApiModelProperty(value="机构类型-1：公司；2：香港企业；3：社会组织；4：律所；5：事业单位；6：基金会；7-不存在法人、注册资本、统一社会信用代码、经营状态;8：台湾企业；9-新机构")
    private String companyType;

    /**
     * 匹配原因
     */
    @TableField(value = "matchType")
    @ApiModelProperty(value="匹配原因")
    private String matchType;

    /**
     * 1-公司 2-人
     */
    @TableField(value = "`type`")
    @ApiModelProperty(value="1-公司 2-人")
    private String type;

    /**
     * 法人
     */
    @TableField(value = "legalPersonName")
    @ApiModelProperty(value="法人")
    private String legalPersonName;

    /**
     * 注册号
     */
    @TableField(value = "regNumber")
    @ApiModelProperty(value="注册号")
    private String regNumber;

    /**
     * 统一社会信用代码
     */
    @TableField(value = "creditCode")
    @ApiModelProperty(value="统一社会信用代码")
    private String creditCode;

    /**
     * 组织机构代码
     */
    @TableField(value = "orgNumber")
    @ApiModelProperty(value="组织机构代码")
    private String orgNumber;

    /**
     * 省份
     */
    @TableField(value = "base")
    @ApiModelProperty(value="省份")
    private String base;

    private static final long serialVersionUID = 1L;
}
