package com.glxp.udidl.admin.entity.tyapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 企业联系方式列表
    */
@ApiModel(value="com-glxp-udidl-admin-entity-tyapi-TyContactCall")
@Data
@TableName(value = "ty_contact_call")
public class TyContactCallEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private Integer id;

    /**
     * 电话
     */
    @TableField(value = "phoneNumber")
    @ApiModelProperty(value="电话")
    private String phoneNumber;

    /**
     * 号码来源
     */
    @TableField(value = "`source`")
    @ApiModelProperty(value="号码来源")
    private String source;

    /**
     * 标签
     */
    @TableField(value = "tag")
    @ApiModelProperty(value="标签")
    private String tag;

    /**
     * 公司ID外键
     */
    @TableField(value = "contactIdFk")
    @ApiModelProperty(value="公司ID外键")
    private Integer contactIdFk;

    /**
     * 所属企业统一社会信用号外键
     */
    @TableField(value = "creditCodeFk")
    @ApiModelProperty(value="所属企业统一社会信用号外键")
    private String creditCodeFk;

    /**
     * 所属企业名称
     */
    @TableField(value = "supplierName")
    @ApiModelProperty(value="所属企业名称")
    private String supplierName;

    private static final long serialVersionUID = 1L;
}
