package com.glxp.udidl.admin.entity.tyapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 企业联系方式信息表
    */
@ApiModel(value="com-glxp-udidl-admin-entity-tyapi-TyContactInfo")
@Data
@TableName(value = "ty_contact_info")
public class TyContactInfoEntity implements Serializable {
    /**
     * 公司id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="公司id")
    private String id;

    /**
     * 电话
     */
    @TableField(value = "phoneNumber")
    @ApiModelProperty(value="电话")
    private String phoneNumber;

    /**
     * 注册地址
     */
    @TableField(value = "regLocation")
    @ApiModelProperty(value="注册地址")
    private String regLocation;

    /**
     * 邮箱
     */
    @TableField(value = "email")
    @ApiModelProperty(value="邮箱")
    private String email;

    /**
     * 网址
     */
    @TableField(value = "websiteList")
    @ApiModelProperty(value="网址")
    private String websiteList;

    /**
     * 所属企业统一社会信用号
     */
    @TableField(value = "creditCodeFk")
    @ApiModelProperty(value="所属企业统一社会信用号")
    private String creditCodeFk;

    /**
     * 所属企业名称
     */
    @TableField(value = "supplierName")
    @ApiModelProperty(value="所属企业名称")
    private String supplierName;

    private static final long serialVersionUID = 1L;
}
