package com.glxp.udidl.admin.entity.tyapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 供应商企业列表
    */
@ApiModel(value="com-glxp-udidl-admin-entity-tyapi-TySupplier")
@Data
@TableName(value = "ty_supplier")
public class TySupplierEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private Integer id;

    /**
     * 供应商id
     */
    @TableField(value = "supplier_graphId")
    @ApiModelProperty(value="供应商id")
    private String supplier_graphId;

    /**
     * 报告期
     */
    @TableField(value = "announcement_date")
    @ApiModelProperty(value="报告期")
    private String announcement_date;

    /**
     * 采购金额（万元）
     */
    @TableField(value = "amt")
    @ApiModelProperty(value="采购金额（万元）")
    private String amt;

    /**
     * logo
     */
    @TableField(value = "logo")
    @ApiModelProperty(value="logo")
    private String logo;

    /**
     * 简称
     */
    @TableField(value = "`alias`")
    @ApiModelProperty(value="简称")
    private String alias;

    /**
     * 供应商名称
     */
    @TableField(value = "supplier_name")
    @ApiModelProperty(value="供应商名称")
    private String supplier_name;

    /**
     * 关联关系
     */
    @TableField(value = "relationship")
    @ApiModelProperty(value="关联关系")
    private String relationship;

    /**
     * 数据来源
     */
    @TableField(value = "dataSource")
    @ApiModelProperty(value="数据来源")
    private String dataSource;

    /**
     * 采购占比
     */
    @TableField(value = "ratio")
    @ApiModelProperty(value="采购占比")
    private String ratio;

    /**
     * 所属医院统一社会信用号外键
     */
    @TableField(value = "creditCodeFk")
    @ApiModelProperty(value="所属医院统一社会信用号外键")
    private String creditCodeFk;

    /**
     * 所属医院名称
     */
    @TableField(value = "hospName")
    @ApiModelProperty(value="所属医院名称")
    private String hospName;

    private static final long serialVersionUID = 1L;
}
