package com.glxp.udidl.admin.entity.udi;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "产品信息实体")
@TableName("productinfo")
public class ProductInfoEntity {

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "最小销售产品标识（DI)")
    private String nameCode;

    @ApiModelProperty(value = "包装比例")
    private String packRatio;

    @ApiModelProperty(value = "包装级别")
    private String packLevel;

    @ApiModelProperty(value = "包含下级数量")
    private Integer bhxjsl;

    @ApiModelProperty(value = "包含最小销售包装数量")
    private Integer bhzxxsbzsl;

    @ApiModelProperty(value = "最小销售标识包含使用单元数量")
    private Integer zxxsbzbhsydysl;

    @ApiModelProperty(value = "包含下级产品编码")
    private String bhxjcpbm;

    @ApiModelProperty(value = "上级产品编码")
    private String sjcpbm;  //

    @ApiModelProperty(value = "包装层级")
    private String bzcj;

    @ApiModelProperty(value = "第三方产品编码", hidden = true)
    private String thirdProductNo;

    @ApiModelProperty(value = "第三方产品名称", hidden = true)
    private String thirdProductName;

    @ApiModelProperty(value = "产品分类 1.器械，2，药品", hidden = true)
    private String addType;

    @ApiModelProperty(value = "国家库记录ID")
    private String deviceRecordKey;

    @ApiModelProperty(value = "以使用单元数量入库", hidden = true)
    private Integer isUseDy;

    @ApiModelProperty(value = "产品通用名称")
    private String cpmctymc;

    @ApiModelProperty(value = "产品类别")
    private String cplb;

    @ApiModelProperty(value = "分类编码")
    private String flbm;

    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    @ApiModelProperty(value = "器械类别")
    private String qxlb;

    @ApiModelProperty(value = "统一社会信用代码证号")
    private String tyshxydm;

    @ApiModelProperty(value = "注册、备案人名称")
    private String ylqxzcrbarmc;

    @ApiModelProperty(value = "注册、备案证号")
    private String zczbhhzbapzbh;

    @ApiModelProperty(value = "注册、备案人名称英文名称")
    private String ylqxzcrbarywmc;

    @ApiModelProperty(value = "使用单元产品标识")
    private String sydycpbs;

    @ApiModelProperty(value = "同一产品同一版本号唯一主键")
    private String uuid;

    @ApiModelProperty(value = "历史版本号，最高为最新")
    private Integer versionNumber;

    @ApiModelProperty(value = "标识类型：1.主标识，2，使用单元标识，3.本体标识，4，包装标识")
    private Integer diType;

    @ApiModelProperty(value = "生产标识是否包含批号")
    private String scbssfbhph;

    @ApiModelProperty(value = "生产标识是否包含序列号")
    private String scbssfbhxlh;

    @ApiModelProperty(value = "生产标识是否包含生产日期")
    private String scbssfbhscrq;

    @ApiModelProperty(value = "生产标识是否包含失效日期")
    private String scbssfbhsxrq;


    @ApiModelProperty(value = "医保编码")
    private String ybbm;

    @ApiModelProperty(value = "商品名称")
    private String spmc;

    @ApiModelProperty(value = "产品货号或编号")
    private String cphhhbh;

    @ApiModelProperty(value = "产品描述")
    private String cpms;

    @ApiModelProperty(value = "医疗器械唯一标识编码体系名称")
    private String cpbsbmtxmc;


    @ApiModelProperty(value = "是否最新")
    private Boolean isNewest;

    @ApiModelProperty(value = "更新时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty(value = "产品类别")
    private String hchzsb;

    @ApiModelProperty(value = "产品类型")
    private String cplx;

    @ApiModelProperty(value = "是否为包类产品/组套类产品； 1 是 0 否")
    private String sfwblztlcp;
    @ApiModelProperty(value = "共振（MR） 安全相关信息； 0 安全 ， 1 条件安全， 2 不安全 ， 3 说明书或标签上面不包括 MR 安全信息")
    private String cgzmraqxgxx;
    @ApiModelProperty(value = "标记为一次性使用:0 否， 1 是")
    private String sfbjwycxsy;
    @ApiModelProperty(value = "最大重复使用次数")
    private String zdcfsycs;
    @ApiModelProperty(value = "是否为已灭菌产品:1 是 0 否")
    private String sfwwjbz;
    @ApiModelProperty(value = "使用前是否需要进行灭菌:1 是 0 否")
    private String syqsfxyjxmj;
    @ApiModelProperty(value = "'灭菌方式'")
    private String mjfs;
    @ApiModelProperty(value = "'其他信息的网址链接'")
    private String qtxxdwzlj;
    @ApiModelProperty(value = "'分类编码名称'")
    private String categoryName;

    //额外字段
    @ApiModelProperty(value = "批次号")
    @TableField(exist = false)
    private String batchNo;
    @ApiModelProperty(value = "生产日期")
    @TableField(exist = false)
    private String produceDate;
    @ApiModelProperty(value = "失效日期")
    @TableField(exist = false)
    private String expireDate;
    @ApiModelProperty(value = "序列号")
    @TableField(exist = false)
    private String serialNo;


}
