package com.glxp.udidl.admin.entity.udid;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Objects;

@ApiModel(value = "医疗器械信息实体")
@Data
public class Device {

    @ApiModelProperty(value = "同一产品同一版本号唯一主键")
    private String uuid;

    @ApiModelProperty(value = "主键编号")
    private String devicerecordkey;

    @ApiModelProperty(value = "本体产品标识")
    private String btcpbs;

    @ApiModelProperty(value = "")
    private String btcpbsyzxxsdycpbssfyz;

    @ApiModelProperty(value = "磁共振（MR）安全相关信息")
    private String cgzmraqxgxx;

    @ApiModelProperty(value = "医疗器械唯一标识编码体系名称")
    private String cpbsbmtxmc;

    @ApiModelProperty(value = "产品标识发布日期")
    private String cpbsfbrq;

    @ApiModelProperty(value = "产品货号或编号")
    private String cphhhbh;

    @ApiModelProperty(value = "产品类别")
    private String cplb;

    @ApiModelProperty(value = "产品名称/通用名称")
    private String cpmctymc;

    @ApiModelProperty(value = "产品描述")
    private String cpms;

    @ApiModelProperty(value = "分类编码")
    private String flbm;

    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    @ApiModelProperty(value = "灭菌方式")
    private String mjfs;

    @ApiModelProperty(value = "其他信息的网址链接")
    private String qtxxdwzlj;

    @ApiModelProperty(value = "器械类别")
    private String qxlb;

    @ApiModelProperty(value = "生产标识是否包含批号")
    private String scbssfbhph;

    @ApiModelProperty(value = "生产标识是否包含生产日期")
    private String scbssfbhscrq;

    @ApiModelProperty(value = "是否包含失效日期")
    private String scbssfbhsxrq;

    @ApiModelProperty(value = "生产标识是否包含序列号")
    private String scbssfbhxlh;

    @ApiModelProperty(value = "是否标记为一次性使用")
    private String sfbjwycxsy;

    @ApiModelProperty(value = "是否为包类/组套类产品")
    private String sfwblztlcp;

    @ApiModelProperty(value = "是否为无菌包装")
    private String sfwwjbz;

    @ApiModelProperty(value = "是否有本体直接标识")
    private String sfybtzjbs;

    @ApiModelProperty(value = "商品名称")
    private String spmc;

    @ApiModelProperty(value = "使用单元产品标识")
    private String sydycpbs;

    @ApiModelProperty(value = "")
    private String syqsfxyjxmj;

    @ApiModelProperty(value = "特殊储存或操作条件")
    private String tscchcztj;

    @ApiModelProperty(value = "特殊尺寸说明")
    private String tsccsm;

    @ApiModelProperty(value = "退市日期")
    private String tsrq;

    @ApiModelProperty(value = "信用代码")
    private String tyshxydm;

    @ApiModelProperty(value = "公开的版本号")
    private String versionnumber;

    @ApiModelProperty(value = "版本的状态")
    private String versionstatus;

    @ApiModelProperty(value = "版本的发布时间")
    private String versiontime;

    @ApiModelProperty(value = "医保编码")
    private String ybbm;

    @ApiModelProperty(value = "原分类编码")
    private String yflbm;

    @ApiModelProperty(value = "医疗器械注册人名称")
    private String ylqxzcrbarmc;

    @ApiModelProperty(value = "医疗器械注册人/备案人英文名称")
    private String ylqxzcrbarywmc;

    @ApiModelProperty(value = "注册证编号或者备案凭证编号")
    private String zczbhhzbapzbh;

    @ApiModelProperty(value = "最大重复使用次数")
    private String zdcfsycs;

    @ApiModelProperty(value = "最小销售单元产品标识")
    private String zxxsdycpbs;

    @ApiModelProperty(value = "")
    private String bszt;

    @ApiModelProperty(value = "")
    private String sfyzcbayz;

    @ApiModelProperty(value = "注册/备案产品标识")
    private String zcbacpbs;

    @ApiModelProperty(value = "最小销售单元中使用单元的数量")
    private String zxxsdyzsydydsl;

    @ApiModelProperty(value = "历史主键编号")
    private String devicehistoryrecordkey;

    @ApiModelProperty(value = "发布状态")
    private String bssjzt;

    @ApiModelProperty(value = "最后更新时间")
    private String lastModifyTime;

    @ApiModelProperty(value = "请求日期")
    private Date requestDate;
    @ApiModelProperty(value = "耗材或者设备")
    private String hchzsb;

    @ApiModelProperty(value = "产品类型")
    private String cplx;


    private String deviceHistoryKey;
    private String deviceRecordKey;
    //    private int versionNumber;
    private String versionStatus;
//    private String versionTime;

    public Date getRequestDate() {
        return requestDate;
    }

    public void setRequestDate(Date requestDate) {
        this.requestDate = requestDate;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid == null ? null : uuid.trim();
    }

    public String getDevicerecordkey() {
        return devicerecordkey;
    }

    public void setDevicerecordkey(String devicerecordkey) {
        this.devicerecordkey = devicerecordkey == null ? null : devicerecordkey.trim();
    }

    public String getBtcpbs() {
        return btcpbs;
    }

    public void setBtcpbs(String btcpbs) {
        this.btcpbs = btcpbs == null ? null : btcpbs.trim();
    }

    public String getHchzsb() {
        return hchzsb;
    }

    public void setHchzsb(String hchzsb) {
        this.hchzsb = hchzsb;
    }

    public String getCplx() {
        return cplx;
    }

    public void setCplx(String cplx) {
        this.cplx = cplx;
    }

    public String getBtcpbsyzxxsdycpbssfyz() {
        return btcpbsyzxxsdycpbssfyz;
    }

    public void setBtcpbsyzxxsdycpbssfyz(String btcpbsyzxxsdycpbssfyz) {
        this.btcpbsyzxxsdycpbssfyz = btcpbsyzxxsdycpbssfyz == null ? null : btcpbsyzxxsdycpbssfyz.trim();
    }

    public String getCgzmraqxgxx() {
        return cgzmraqxgxx;
    }

    public void setCgzmraqxgxx(String cgzmraqxgxx) {
        this.cgzmraqxgxx = cgzmraqxgxx == null ? null : cgzmraqxgxx.trim();
    }

    public String getCpbsbmtxmc() {
        return cpbsbmtxmc;
    }

    public void setCpbsbmtxmc(String cpbsbmtxmc) {
        this.cpbsbmtxmc = cpbsbmtxmc == null ? null : cpbsbmtxmc.trim();
    }

    public String getCpbsfbrq() {
        return cpbsfbrq;
    }

    public void setCpbsfbrq(String cpbsfbrq) {
        this.cpbsfbrq = cpbsfbrq == null ? null : cpbsfbrq.trim();
    }

    public String getCphhhbh() {
        return cphhhbh;
    }

    public void setCphhhbh(String cphhhbh) {
        this.cphhhbh = cphhhbh == null ? null : cphhhbh.trim();
    }

    public String getCplb() {
        return cplb;
    }

    public void setCplb(String cplb) {
        this.cplb = cplb == null ? null : cplb.trim();
    }

    public String getCpmctymc() {
        return cpmctymc;
    }

    public void setCpmctymc(String cpmctymc) {
        this.cpmctymc = cpmctymc == null ? null : cpmctymc.trim();
    }

    public String getCpms() {
        return cpms;
    }

    public void setCpms(String cpms) {
        this.cpms = cpms == null ? null : cpms.trim();
    }

    public String getFlbm() {
        return flbm;
    }

    public void setFlbm(String flbm) {
        this.flbm = flbm == null ? null : flbm.trim();
    }

    public String getGgxh() {
        return ggxh;
    }

    public void setGgxh(String ggxh) {
        this.ggxh = ggxh == null ? null : ggxh.trim();
    }

    public String getMjfs() {
        return mjfs;
    }

    public void setMjfs(String mjfs) {
        this.mjfs = mjfs == null ? null : mjfs.trim();
    }

    public String getQtxxdwzlj() {
        return qtxxdwzlj;
    }

    public void setQtxxdwzlj(String qtxxdwzlj) {
        this.qtxxdwzlj = qtxxdwzlj == null ? null : qtxxdwzlj.trim();
    }

    public String getQxlb() {
        return qxlb;
    }

    public void setQxlb(String qxlb) {
        this.qxlb = qxlb == null ? null : qxlb.trim();
    }

    public String getScbssfbhph() {
        return scbssfbhph;
    }

    public void setScbssfbhph(String scbssfbhph) {
        this.scbssfbhph = scbssfbhph == null ? null : scbssfbhph.trim();
    }

    public String getScbssfbhscrq() {
        return scbssfbhscrq;
    }

    public void setScbssfbhscrq(String scbssfbhscrq) {
        this.scbssfbhscrq = scbssfbhscrq == null ? null : scbssfbhscrq.trim();
    }

    public String getScbssfbhsxrq() {
        return scbssfbhsxrq;
    }

    public void setScbssfbhsxrq(String scbssfbhsxrq) {
        this.scbssfbhsxrq = scbssfbhsxrq == null ? null : scbssfbhsxrq.trim();
    }

    public String getScbssfbhxlh() {
        return scbssfbhxlh;
    }

    public void setScbssfbhxlh(String scbssfbhxlh) {
        this.scbssfbhxlh = scbssfbhxlh == null ? null : scbssfbhxlh.trim();
    }

    public String getSfbjwycxsy() {
        return sfbjwycxsy;
    }

    public void setSfbjwycxsy(String sfbjwycxsy) {
        this.sfbjwycxsy = sfbjwycxsy == null ? null : sfbjwycxsy.trim();
    }

    public String getSfwblztlcp() {
        return sfwblztlcp;
    }

    public void setSfwblztlcp(String sfwblztlcp) {
        this.sfwblztlcp = sfwblztlcp == null ? null : sfwblztlcp.trim();
    }

    public String getSfwwjbz() {
        return sfwwjbz;
    }

    public void setSfwwjbz(String sfwwjbz) {
        this.sfwwjbz = sfwwjbz == null ? null : sfwwjbz.trim();
    }

    public String getSfybtzjbs() {
        return sfybtzjbs;
    }

    public void setSfybtzjbs(String sfybtzjbs) {
        this.sfybtzjbs = sfybtzjbs == null ? null : sfybtzjbs.trim();
    }

    public String getSpmc() {
        return spmc;
    }

    public void setSpmc(String spmc) {
        this.spmc = spmc == null ? null : spmc.trim();
    }

    public String getSydycpbs() {
        return sydycpbs;
    }

    public void setSydycpbs(String sydycpbs) {
        this.sydycpbs = sydycpbs == null ? null : sydycpbs.trim();
    }

    public String getSyqsfxyjxmj() {
        return syqsfxyjxmj;
    }

    public void setSyqsfxyjxmj(String syqsfxyjxmj) {
        this.syqsfxyjxmj = syqsfxyjxmj == null ? null : syqsfxyjxmj.trim();
    }

    public String getTscchcztj() {
        return tscchcztj;
    }

    public void setTscchcztj(String tscchcztj) {
        this.tscchcztj = tscchcztj == null ? null : tscchcztj.trim();
    }

    public String getTsccsm() {
        return tsccsm;
    }

    public void setTsccsm(String tsccsm) {
        this.tsccsm = tsccsm == null ? null : tsccsm.trim();
    }

    public String getTsrq() {
        return tsrq;
    }

    public void setTsrq(String tsrq) {
        this.tsrq = tsrq == null ? null : tsrq.trim();
    }

    public String getTyshxydm() {
        return tyshxydm;
    }

    public void setTyshxydm(String tyshxydm) {
        this.tyshxydm = tyshxydm == null ? null : tyshxydm.trim();
    }

    public String getVersionnumber() {
        return versionnumber;
    }

    public void setVersionnumber(String versionnumber) {
        this.versionnumber = versionnumber == null ? null : versionnumber.trim();
    }

    public String getVersionstatus() {
        return versionstatus;
    }

    public void setVersionstatus(String versionstatus) {
        this.versionstatus = versionstatus == null ? null : versionstatus.trim();
    }

    public String getVersiontime() {
        return versiontime;
    }

    public void setVersiontime(String versiontime) {
        this.versiontime = versiontime == null ? null : versiontime.trim();
    }

    public String getYbbm() {
        return ybbm;
    }

    public void setYbbm(String ybbm) {
        this.ybbm = ybbm == null ? null : ybbm.trim();
    }

    public String getYflbm() {
        return yflbm;
    }

    public void setYflbm(String yflbm) {
        this.yflbm = yflbm == null ? null : yflbm.trim();
    }

    public String getYlqxzcrbarmc() {
        return ylqxzcrbarmc;
    }

    public void setYlqxzcrbarmc(String ylqxzcrbarmc) {
        this.ylqxzcrbarmc = ylqxzcrbarmc == null ? null : ylqxzcrbarmc.trim();
    }

    public String getYlqxzcrbarywmc() {
        return ylqxzcrbarywmc;
    }

    public void setYlqxzcrbarywmc(String ylqxzcrbarywmc) {
        this.ylqxzcrbarywmc = ylqxzcrbarywmc == null ? null : ylqxzcrbarywmc.trim();
    }

    public String getZczbhhzbapzbh() {
        return zczbhhzbapzbh;
    }

    public void setZczbhhzbapzbh(String zczbhhzbapzbh) {
        this.zczbhhzbapzbh = zczbhhzbapzbh == null ? null : zczbhhzbapzbh.trim();
    }

    public String getZdcfsycs() {
        return zdcfsycs;
    }

    public void setZdcfsycs(String zdcfsycs) {
        this.zdcfsycs = zdcfsycs == null ? null : zdcfsycs.trim();
    }

    public String getZxxsdycpbs() {
        return zxxsdycpbs;
    }

    public void setZxxsdycpbs(String zxxsdycpbs) {
        this.zxxsdycpbs = zxxsdycpbs == null ? null : zxxsdycpbs.trim();
    }

    public String getBszt() {
        return bszt;
    }

    public void setBszt(String bszt) {
        this.bszt = bszt == null ? null : bszt.trim();
    }

    public String getSfyzcbayz() {
        return sfyzcbayz;
    }

    public void setSfyzcbayz(String sfyzcbayz) {
        this.sfyzcbayz = sfyzcbayz == null ? null : sfyzcbayz.trim();
    }

    public String getZcbacpbs() {
        return zcbacpbs;
    }

    public void setZcbacpbs(String zcbacpbs) {
        this.zcbacpbs = zcbacpbs == null ? null : zcbacpbs.trim();
    }

    public String getZxxsdyzsydydsl() {
        return zxxsdyzsydydsl;
    }

    public void setZxxsdyzsydydsl(String zxxsdyzsydydsl) {
        this.zxxsdyzsydydsl = zxxsdyzsydydsl == null ? null : zxxsdyzsydydsl.trim();
    }

    public String getDevicehistoryrecordkey() {
        return devicehistoryrecordkey;
    }

    public void setDevicehistoryrecordkey(String devicehistoryrecordkey) {
        this.devicehistoryrecordkey = devicehistoryrecordkey == null ? null : devicehistoryrecordkey.trim();
    }

    public String getBssjzt() {
        return bssjzt;
    }

    public void setBssjzt(String bssjzt) {
        this.bssjzt = bssjzt == null ? null : bssjzt.trim();
    }

    public String getLastModifyTime() {
        return lastModifyTime;
    }

    public void setLastModifyTime(String lastModifyTime) {
        this.lastModifyTime = lastModifyTime;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Device device = (Device) o;
        return
                StrUtil.trimToEmpty(devicerecordkey).equals(StrUtil.trimToEmpty(device.devicerecordkey)
                ) && StrUtil.trimToEmpty(btcpbs).equals(StrUtil.trimToEmpty(device.btcpbs)
                ) && StrUtil.trimToEmpty(btcpbsyzxxsdycpbssfyz).equals(StrUtil.trimToEmpty(device.btcpbsyzxxsdycpbssfyz)
                ) && StrUtil.trimToEmpty(cgzmraqxgxx).equals(StrUtil.trimToEmpty(device.cgzmraqxgxx)
                ) && StrUtil.trimToEmpty(cpbsbmtxmc).equals(StrUtil.trimToEmpty(device.cpbsbmtxmc)
                ) && StrUtil.trimToEmpty(cpbsfbrq).equals(StrUtil.trimToEmpty(device.cpbsfbrq)
                ) && StrUtil.trimToEmpty(cphhhbh).equals(StrUtil.trimToEmpty(device.cphhhbh)
                ) && StrUtil.trimToEmpty(cplb).equals(StrUtil.trimToEmpty(device.cplb)
                ) && StrUtil.trimToEmpty(cpmctymc).equals(StrUtil.trimToEmpty(device.cpmctymc)
                ) && StrUtil.trimToEmpty(cpms).equals(StrUtil.trimToEmpty(device.cpms)
                ) && StrUtil.trimToEmpty(flbm).equals(StrUtil.trimToEmpty(device.flbm)
                ) && StrUtil.trimToEmpty(ggxh).equals(StrUtil.trimToEmpty(device.ggxh)
                ) && StrUtil.trimToEmpty(mjfs).equals(StrUtil.trimToEmpty(device.mjfs)
                ) && StrUtil.trimToEmpty(qtxxdwzlj).equals(StrUtil.trimToEmpty(device.qtxxdwzlj)
                ) && StrUtil.trimToEmpty(qxlb).equals(StrUtil.trimToEmpty(device.qxlb)
                ) && StrUtil.trimToEmpty(scbssfbhph).equals(StrUtil.trimToEmpty(device.scbssfbhph)
                ) && StrUtil.trimToEmpty(scbssfbhscrq).equals(StrUtil.trimToEmpty(device.scbssfbhscrq)
                ) && StrUtil.trimToEmpty(scbssfbhsxrq).equals(StrUtil.trimToEmpty(device.scbssfbhsxrq)
                ) && StrUtil.trimToEmpty(scbssfbhxlh).equals(StrUtil.trimToEmpty(device.scbssfbhxlh)
                ) && StrUtil.trimToEmpty(sfbjwycxsy).equals(StrUtil.trimToEmpty(device.sfbjwycxsy)
                ) && StrUtil.trimToEmpty(sfwblztlcp).equals(StrUtil.trimToEmpty(device.sfwblztlcp)
                ) && StrUtil.trimToEmpty(sfwwjbz).equals(StrUtil.trimToEmpty(device.sfwwjbz)
                ) && StrUtil.trimToEmpty(sfybtzjbs).equals(StrUtil.trimToEmpty(device.sfybtzjbs)
                ) && StrUtil.trimToEmpty(spmc).equals(StrUtil.trimToEmpty(device.spmc)
                ) && StrUtil.trimToEmpty(sydycpbs).equals(StrUtil.trimToEmpty(device.sydycpbs)
                ) && StrUtil.trimToEmpty(syqsfxyjxmj).equals(StrUtil.trimToEmpty(device.syqsfxyjxmj)
                ) && StrUtil.trimToEmpty(tscchcztj).equals(StrUtil.trimToEmpty(device.tscchcztj)
                ) && StrUtil.trimToEmpty(tsccsm).equals(StrUtil.trimToEmpty(device.tsccsm)
                ) && StrUtil.trimToEmpty(tsrq).equals(StrUtil.trimToEmpty(device.tsrq)
                ) && StrUtil.trimToEmpty(tyshxydm).equals(StrUtil.trimToEmpty(device.tyshxydm)
                ) && StrUtil.trimToEmpty(versionnumber).equals(StrUtil.trimToEmpty(device.versionnumber)
                ) && StrUtil.trimToEmpty(versionstatus).equals(StrUtil.trimToEmpty(device.versionstatus)
                ) && StrUtil.trimToEmpty(versiontime).equals(StrUtil.trimToEmpty(device.versiontime)
                ) && StrUtil.trimToEmpty(ybbm).equals(StrUtil.trimToEmpty(device.ybbm)
                ) && StrUtil.trimToEmpty(yflbm).equals(StrUtil.trimToEmpty(device.yflbm)
                ) && StrUtil.trimToEmpty(ylqxzcrbarmc).equals(StrUtil.trimToEmpty(device.ylqxzcrbarmc)
                ) && StrUtil.trimToEmpty(ylqxzcrbarywmc).equals(StrUtil.trimToEmpty(device.ylqxzcrbarywmc)
                ) && StrUtil.trimToEmpty(zczbhhzbapzbh).equals(StrUtil.trimToEmpty(device.zczbhhzbapzbh)
                ) && StrUtil.trimToEmpty(zdcfsycs).equals(StrUtil.trimToEmpty(device.zdcfsycs)
                ) && StrUtil.trimToEmpty(zxxsdycpbs).equals(StrUtil.trimToEmpty(device.zxxsdycpbs)
                ) && StrUtil.trimToEmpty(bszt).equals(StrUtil.trimToEmpty(device.bszt)
                ) && StrUtil.trimToEmpty(sfyzcbayz).equals(StrUtil.trimToEmpty(device.sfyzcbayz)
                ) && StrUtil.trimToEmpty(zcbacpbs).equals(StrUtil.trimToEmpty(device.zcbacpbs)
                ) && StrUtil.trimToEmpty(zxxsdyzsydydsl).equals(StrUtil.trimToEmpty(device.zxxsdyzsydydsl)
                ) && StrUtil.trimToEmpty(devicehistoryrecordkey).equals(StrUtil.trimToEmpty(device.devicehistoryrecordkey)
                ) && StrUtil.trimToEmpty(bssjzt).equals(StrUtil.trimToEmpty(device.bssjzt)
                ) && StrUtil.trimToEmpty(hchzsb).equals(StrUtil.trimToEmpty(device.hchzsb)
                ) && StrUtil.trimToEmpty(cplx).equals(StrUtil.trimToEmpty(device.cplx)
                ) && StrUtil.trimToEmpty(deviceHistoryKey).equals(StrUtil.trimToEmpty(device.deviceHistoryKey)
                ) && StrUtil.trimToEmpty(deviceRecordKey).equals(StrUtil.trimToEmpty(device.deviceRecordKey)
                ) && StrUtil.trimToEmpty(versionStatus).equals(StrUtil.trimToEmpty(device.versionStatus)
                );
    }

    @Override
    public int hashCode() {
        return Objects.hash(devicerecordkey, btcpbs, btcpbsyzxxsdycpbssfyz, cgzmraqxgxx, cpbsbmtxmc, cpbsfbrq, cphhhbh, cplb, cpmctymc, cpms, flbm, ggxh, mjfs, qtxxdwzlj, qxlb, scbssfbhph, scbssfbhscrq, scbssfbhsxrq, scbssfbhxlh, sfbjwycxsy, sfwblztlcp, sfwwjbz, sfybtzjbs, spmc, sydycpbs, syqsfxyjxmj, tscchcztj, tsccsm, tsrq, tyshxydm, versionnumber, versionstatus, versiontime, ybbm, yflbm, ylqxzcrbarmc, ylqxzcrbarywmc, zczbhhzbapzbh, zdcfsycs, zxxsdycpbs, bszt, sfyzcbayz, zcbacpbs, zxxsdyzsydydsl, devicehistoryrecordkey, bssjzt, hchzsb, cplx, deviceHistoryKey, deviceRecordKey, versionStatus);
    }
}