package com.glxp.udidl.admin.entity.udid;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 定时器数据同步日志
 */
@Data
@TableName("job_log")
@ApiModel("UDI日志信息实体")
public class JobLog {

    @ApiModelProperty(value = "日志id")
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "类型: error; info; warning")
    private String type;//类型: error; info; warning ...

    @ApiModelProperty(value = "下载类型")
    protected String downloadType; //下载类型：auto(自动下载),manual(手动下载)

    @ApiModelProperty(value = "数据下载日期", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date downloadDate;//数据下载日期

    @ApiModelProperty(value = "下载提示总行数")
    private Integer totalCount;//下载提示总行数

    @ApiModelProperty(value = "实际总行数")
    private Integer realCount;//实际总行数

    @ApiModelProperty(value = "插入总行数")
    private Integer insertCount;//插入总行数

    @ApiModelProperty(value = "提示信息")
    private String msg;//提示信息

    @ApiModelProperty(value = "详情内容")
    private String content;//详情内容

    @ApiModelProperty(value = "创建时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;//创建时间

    @ApiModelProperty(value = "修改时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;//修改时间

    @ApiModelProperty(value = "状态 0：处理中 1.已完成")
    private Integer status;


    private String lastUploadRequest;

    /**
     * 任务类型 download: 下载   update: 更新
     */
    private String taskType;

    public Integer getInsertCount() {
        if (insertCount == null)
            return 0;
        return insertCount;
    }

    public Integer getRealCount() {
        if (realCount == null)
            return 0;
        return realCount;
    }
}
