package com.glxp.udidl.admin.entity.udplat;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 配送企业
 *
 * @author hong
 * @date 2022/01/19
 */
@Data
@ApiModel("阳光采购平台配送企业信息")
public class UdplatDistributor {

    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 配送企业id
     */
    @ApiModelProperty(value = "配送企业id")
    private String distributorId;

    /**
     * 配送企业编码
     */
    @ApiModelProperty(value = "配送企业编码")
    private String distributorCode;

    /**
     * 配送企业名称
     */
    @ApiModelProperty(value = "配送企业名称")
    private String distributorName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}