package com.glxp.udidl.admin.entity.udplat;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "阳光采购平台产品信息")
public class UdplatGoods {

    @ApiModelProperty(value = "产品ID")
    private Long id;

    @ApiModelProperty(value = "同一产品同一版本号唯一主键")
    private String uuid;

    @ApiModelProperty(value = "配送目录ID")
    private String deliveryGoodsId;//配送目录ID/bigint

    @ApiModelProperty(value = "联采目录编码")
    private String projectGoodsCode;//联采目录编码/varchar(50)

    @ApiModelProperty(value = "配送目录编码")
    private String deliveryGoodsCode;//配送目录编码/varchar(50)

    @ApiModelProperty(value = "平台生产企业ID")
    private String manufactureId;//平台生产企业ID/bigint(20)

    @ApiModelProperty(value = "平台生产企业名称")
    private String manufactureName;//平台生产企业名称/varchar(50)

    @ApiModelProperty(value = "平台配送企业ID")
    private String distributorId; //平台配送企业ID/bigint(20)

    @ApiModelProperty(value = "平台配送企业名称")
    private String distributorName;//平台配送企业名称/varchar(50)

    @ApiModelProperty(value = "产品通用名")
    private String productName; //产品通用名/varchar(255)

    @ApiModelProperty(value = "组件id")
    private String compId; //组件id/bigint

    @ApiModelProperty(value = "型号")
    private String model;//型号/varchar(1000)

    @ApiModelProperty(value = "规格")
    private String spec;//规格/varchar(1000)

    @ApiModelProperty(value = "材质")
    private String prodMaterial;//材质/varchar(255)

    @ApiModelProperty(value = "包材")
    private String packMaterial;//包材/varchar(255)

    @ApiModelProperty(value = "注册证编号")
    private String regNum;//注册证编号/varchar(255)

    @ApiModelProperty(value = "注册证名称")
    private String regName;//注册证名称/varchar(255)

    @ApiModelProperty(value = "注册证有效期截止时间 2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date regValidTo;//注册证有效期截止时间/varchar(255)

    @ApiModelProperty(value = "联采项目ID")
    private String unionProjectId;//联采项目ID/bigint(20)

    @ApiModelProperty(value = "采购项目名称")
    private String unionProjectName;//采购项目名称/varchar(255)

    @ApiModelProperty(value = "价格")
    private double salePrice;//价格/decimal(18,4)

    @ApiModelProperty(value = "价格单位")
    private String priceUnitText;//价格单位/varchar(100)

    @ApiModelProperty(value = "最高销售限价")
    private double topSalePrice;//最高销售限价，可能为空/decimal(18,4)

    @ApiModelProperty(value = "医保支付标准")
    private double settlePayPrice;//医保支付标准，可能为空/varchar(255)

    @ApiModelProperty(value = "数据来源 1.集中采购 2.耗材联采 3.医院HIS/医疗机构新增 4.备案采购 9. 阳光采购10. 新型冠状病毒相关检测试剂省级集中采购14. 限新冠病毒核酸快速检测采购使用")
    private String goodsSource;//数据来源/int(11)(取值：1.集中采购 2.耗材联采 3.医院HIS/医疗机构新增 4.备案采购 9. 阳光采购10. 新型冠状病毒相关检测试剂省级集中采购14. 限新冠病毒核酸快速检测采购使用)

    @ApiModelProperty(value = "缺货状态（1有货、2缺货）")
    private String stockStatus;//缺货状态（1有货、2缺货）/int

    @ApiModelProperty(value = "更新内容")
    private String changedContent;//更新内容

    @ApiModelProperty(value = "更新时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date changedTime;//更新时间

    @ApiModelProperty(value = "申报企业名称")
    private String proxyName;//申报企业名称/ varchar(50)

    @ApiModelProperty(value = "挂网状态  1挂网2挂网状态为空 6 撤销申报")
    private String onlineStatus;//挂网状态  1挂网2挂网状态为空 6 撤销申报

    @ApiModelProperty(value = "医保编码")
    private String medicalCode;//医保编码

    @ApiModelProperty(value = "创建时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;//创建时间

    @ApiModelProperty(value = "最后更新时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;//最后更新时间
}
