package com.glxp.udidl.admin.entity.udplat;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 医疗机构
 *
 * @author hong
 * @date 2022/01/19
 */
@Data
@ApiModel(value = "医疗机构信息实体")
public class UdplatHospital {

    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 医疗机构ID
     */
    @ApiModelProperty(value = "医疗机构ID")
    private String purchaseId;

    /**
     * 医疗机构编码
     */
    @ApiModelProperty(value = "医疗机构编码")
    private String purchaseCode;

    /**
     * 医疗机构名称
     */
    @ApiModelProperty(value = "医疗机构名称")
    private String purchaseName;

    /**
     * 医疗机构区域名称
     */
    @ApiModelProperty(value = "医疗机构区域名称")
    private String purchaseArea;

    /**
     * 医疗机构区域ID
     */
    @ApiModelProperty(value = "医疗机构区域ID")
    private String purchaseAreaId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}