package com.glxp.udidl.admin.entity.udplat;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 生产企业清单
 *
 * @author hong
 * @date 2022/01/19
 */
@Data
@ApiModel(value = "生产企业信息")
public class UdplatManufacture {

    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 生产企业id
     */
    @ApiModelProperty(value = "生产企业id")
    private String manufactureId;

    /**
     * 生产企业编码
     */
    @ApiModelProperty(value = "生产企业编码")
    private String manufactureCode;

    /**
     * 生产企业名称
     */
    @ApiModelProperty(value = "生产企业名称")
    private String manufactureName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间", example = "2022-05-09 14:36:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

}