package com.glxp.udidl.admin.req.udid;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DeviceRequest {


    /**
     * accessToken : 接口调用凭据， P002 获取
     * requestType : 请求范围， 1 按天请求， 2 按月请求， 3 全量请 求
     * rangeValue : 当按照天请求数据时，必填，输入参数按照 yyyy-MM-dd， 当按照月请求数据时，必填，输入参数按照 yyyy-MM， 全量获取时，该参数 为空
     * currentPageNumber : 请求分页数,初始请求时， 从 1 开始
     */

    @ApiModelProperty(value = "接口调用凭据")
    private String accessToken;

    @ApiModelProperty(value = "数据类型", example = "1 新发布")
    private String dataType;

    @ApiModelProperty(value = "请求范围，1 按天请求，2 按月请求")
    private String requestType;

    @ApiModelProperty(value = "请求时间范围")
    private String rangeValue;

    @ApiModelProperty(value = "最小销售单元产品标识；精准查询")
    @JsonProperty("ZXXSDYCPBS")
    private String ZXXSDYCPBS;

    @ApiModelProperty(value = "产品名称/通用名称；模糊查询")
    @JsonProperty("CPMCTYMC")
    private String CPMCTYMC;

    @ApiModelProperty(value = "规格型号；模糊查询")
    @JsonProperty("GGXH")
    private String GGXH;

    @ApiModelProperty(value = "注册/备案人名称；精准查询")
    @JsonProperty("YLQXZCRBARMC")
    private String YLQXZCRBARMC;

    @ApiModelProperty(value = "注册/备案证号；精准查询")
    @JsonProperty("ZCZBHHZBAPZBH")
    private String ZCZBHHZBAPZBH;

    @ApiModelProperty(value = "请求分页数,初始请求时，从 1 开始")
    private String currentPageNumber;

    @ApiModelProperty(value = "下载方式： auto：自动  manual：手动")
    private String downloadType;


    private Integer dlType;


}
