package com.glxp.udidl.admin.res.udid;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 返回汇总信息
 */
@Data
public class DataSetTotalResult {
    /**
     * 状态码 1:正常 -1 获取接口异常  2: 接口总行数和实际行数不一致
     */
    private int code;
    private String msg;//提示信息
    private int totalRecordCount;   //总记录数量

    public int realRecordCount() {
        int count = 0;
        for (DataSetResult.DataSet ds : data) {
            if (ds.getDeviceInfo() != null)
                count = count + ds.getDeviceInfo().size();
        }
        return count;
    } //实际总行数

    private List<DataSetResult.DataSet> data;//数据详情

    public DataSetTotalResult() {
        this.code = 1;
        this.msg = "数据获取正常";
        this.data = new ArrayList<>();
    }
}
