package com.glxp.udidl.admin.service.info;

import com.glxp.udidl.admin.entity.info.CompanyEntity;
import com.glxp.udidl.admin.res.BaseResponse;

import java.util.List;

public interface CompanyService {

    CompanyEntity findCompany();

    CompanyEntity findByTaskType(Integer taskType);

    CompanyEntity findByTyshxydm(String tyshxydm);

    boolean modifyCompany(CompanyEntity companyEntity);

    /**
     * 测试国家UDI接口连通性
     *
     * @param appId       appId
     * @param appSecret   秘钥
     * @param companyName 公司名称
     * @param creditNum   统一社会信用代码
     * @param dataSource  数据来源：1.UDIMS平台，2.UDI自助平台
     * @return
     */
    BaseResponse testConnection(String appId, String appSecret, String companyName, String creditNum, String dataSource);

    /**
     * 查询已配置秘钥的公司信息列表
     *
     * @return
     */
    List<CompanyEntity> findCompanyListForToken();
}
