package com.glxp.udidl.admin.service.info.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.glxp.udidl.admin.config.GlobalConfig;
import com.glxp.udidl.admin.dao.info.FileInfoMapper;
import com.glxp.udidl.admin.entity.info.FileInfoEntity;
import com.glxp.udidl.admin.req.ListPageRequest;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.service.info.FileInfoService;
import com.glxp.udidl.admin.util.FileUtils;
import com.glxp.udidl.admin.util.ResultVOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@Service
public class FileInfoServiceImpl implements FileInfoService {
    @Autowired
    private FileInfoMapper fileInfoDao;
    @Autowired
    GlobalConfig globalConfig;

    public BaseResponse getList(ListPageRequest param) {
        PageHelper.startPage(param.getPage(), param.getLimit());
        List<FileInfoEntity> list = fileInfoDao.list();
        PageInfo<FileInfoEntity> pageInfo = new PageInfo<>(list);
        PageSimpleResponse<FileInfoEntity> pageSimpleResponse = new PageSimpleResponse<>();
        pageSimpleResponse.setTotal(pageInfo.getTotal());
        pageSimpleResponse.setList(list);
        return ResultVOUtils.success(pageSimpleResponse);
    }

    @Transactional(rollbackFor = Exception.class)
    public int insert(FileInfoEntity fileInfoEntity) {
        return fileInfoDao.insert(fileInfoEntity);
    }

    public BaseResponse saveToFile(String content, String fileName) {
        String fullPath = globalConfig.getDownloadPath() + "/" + fileName;
        String res = FileUtils.exportToFile(content, fullPath);
        if (!res.equals("success"))
            return ResultVOUtils.error(-1, res);
        return ResultVOUtils.success("/file/getFile?fileName=" + fileName);
    }

    public void getFile(HttpServletResponse response, String fileName) {
        String fullPath = globalConfig.getDownloadPath() + "/" + fileName;
        FileUtils.getFile(response, fullPath);
    }
}
