package com.glxp.udidl.admin.service.inout.impl;

import com.glxp.udidl.admin.dao.udid.*;
import com.glxp.udidl.admin.entity.udid.*;
import com.glxp.udidl.admin.req.DownloadUdiRequest;
import com.glxp.udidl.admin.service.inout.UdiDownloadService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class UdiDownloadServiceImpl implements UdiDownloadService {

    @Resource
    private DeviceMapper deviceMapper;
    @Resource
    private ContactlistMapper contactlistMapper;
    @Resource
    private DeviceclinicalMapper deviceclinicalMapper;
    @Resource
    private DevicepackageMapper devicepackageMapper;
    @Resource
    private DevicestorageMapper devicestorageMapper;

    @Override
    public List<Device> downloadDevice(DownloadUdiRequest downloadUdiRequest) {
        int offset = (downloadUdiRequest.getPage() - 1) * downloadUdiRequest.getLimit();
        downloadUdiRequest.setPage(offset);
        return deviceMapper.downloadDevice(downloadUdiRequest);
    }

    @Override
    public List<Contactlist> downloadContactlist(DownloadUdiRequest downloadUdiRequest) {
        int offset = (downloadUdiRequest.getPage() - 1) * downloadUdiRequest.getLimit();
        downloadUdiRequest.setPage(offset);
        return contactlistMapper.downloadContactlist(downloadUdiRequest);
    }

    @Override
    public List<Deviceclinical> downloadDeviceclinical(DownloadUdiRequest downloadUdiRequest) {
        int offset = (downloadUdiRequest.getPage() - 1) * downloadUdiRequest.getLimit();
        downloadUdiRequest.setPage(offset);
        return deviceclinicalMapper.downloadDeviceclinical(downloadUdiRequest);
    }

    @Override
    public List<Devicepackage> downloadDevicepackage(DownloadUdiRequest downloadUdiRequest) {
        int offset = (downloadUdiRequest.getPage() - 1) * downloadUdiRequest.getLimit();
        downloadUdiRequest.setPage(offset);
        return devicepackageMapper.downloadDevicepackage(downloadUdiRequest);
    }

    @Override
    public List<Devicestorage> downloadDevicestorage(DownloadUdiRequest downloadUdiRequest) {
        int offset = (downloadUdiRequest.getPage() - 1) * downloadUdiRequest.getLimit();
        downloadUdiRequest.setPage(offset);
        return devicestorageMapper.downloadDevicestorage(downloadUdiRequest);
    }
}
