package com.glxp.udidl.admin.service.udi.impl;

import com.github.pagehelper.PageHelper;
import com.glxp.udidl.admin.dao.udi.UdiCompanyMapper;
import com.glxp.udidl.admin.entity.udi.UdiCompanyEntity;
import com.glxp.udidl.admin.entity.udid.Contactlist;
import com.glxp.udidl.admin.req.UdiCompanyRequest;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udi.UdiCompanyService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class UdiCompanyServiceImpl implements UdiCompanyService {

    @Resource
    UdiCompanyMapper udiCompanyDao;

    @Override
    public List<UdiCompanyEntity> selectAllTyshxyh() {
        return udiCompanyDao.selectAllTyshxyh();
    }

    @Override
    public List<Contactlist> selectContactBykey(String deviceRecordKey) {
        return udiCompanyDao.selectContactBykey(deviceRecordKey);
    }

    @Override
    public List<UdiCompanyEntity> filterUdiCompany(UdiCompanyRequest udiCompanyRequest) {
        if (udiCompanyRequest.getPage() != null && udiCompanyRequest.getLimit() != null) {
            int offset = (udiCompanyRequest.getPage() - 1) * udiCompanyRequest.getLimit();
            PageHelper.offsetPage(offset, udiCompanyRequest.getLimit());
        }
        return udiCompanyDao.filterUdiCompany(udiCompanyRequest);
    }

    @Override
    public boolean insertUdiCompany(UdiCompanyEntity udiCompanyEntity) {
        return udiCompanyDao.insertUdiCompany(udiCompanyEntity);
    }

    @Override
    public boolean insertUdiCompanys(List<UdiCompanyEntity> udiCompanyEntities) {
        return udiCompanyDao.insertUdiCompanys(udiCompanyEntities);
    }

    @Override
    public boolean deleteById(String id) {
        return udiCompanyDao.deleteById(id);
    }

    @Override
    public boolean deleteAll(List<String> ids) {
        return udiCompanyDao.deleteAll(ids);
    }

    @Override
    public boolean updateUdiCompany(UdiCompanyEntity udiCompanyEntity) {
        return udiCompanyDao.updateUdiCompany(udiCompanyEntity);
    }

    public BaseResponse searchByName(String name) {
        List<String> result = udiCompanyDao.searchByName(name);
        return ResultVOUtils.success(result);
    }

    @Override
    public List<UdiCompanyEntity> syncDlCompany(UdiCompanyRequest udiCompanyRequest) {
        int offset = (udiCompanyRequest.getPage() - 1) * udiCompanyRequest.getLimit() + 1;
        udiCompanyRequest.setPage(offset);
        return udiCompanyDao.syncDlCompany(udiCompanyRequest);
    }

}
