package com.glxp.udidl.admin.service.udplat;

import com.glxp.udidl.admin.dto.udplat.*;
import com.glxp.udidl.admin.res.BaseResponse;

import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.List;

public interface UdplatGoodsService {
    BaseResponse getList(UdplatGoodsParam param);

    /**
     * excel导入
     *
     * @param is
     * @param type 1：院内的导入 2；配送目录
     * @return
     */
    BaseResponse importExcel(InputStream is, int type);

    /**
     * 保存阳光采购平台接口数据
     *
     * @param models
     * @return
     */
    BaseResponse save(List<UdplatGoodsModel> models, String downloadType);

    /**
     * 存储医疗目录
     *
     * @param list
     * @return
     */
    BaseResponse importHospitalGoods(List<HospitalGoods> list);

    /**
     * 存储配送目录
     *
     * @param list
     * @return
     */
    BaseResponse importDeliveryGoods(List<DeliveryGoods> list);

    void exportToFile(HttpServletResponse response);

    BaseResponse exportToFile(UdplatGoodsParam param);//导出生成文件

    BaseResponse selectById(Integer id);

    BaseResponse getProducts(ProductParam param);
}
