package com.glxp.udidl.admin.thread;

import com.glxp.udidl.admin.dao.udi.ProductInfoMapper;
import com.glxp.udidl.admin.entity.udi.ProductInfoEntity;
import com.glxp.udidl.admin.entity.udi.UdiCompanyEntity;
import com.glxp.udidl.admin.entity.udid.Contactlist;
import com.glxp.udidl.admin.req.ProductInfoFilterRequest;
import com.glxp.udidl.admin.service.udi.UdiCompanyService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Service
public class UdiCompanyTask {
    @Resource
    UdiCompanyService udiCompanyService;
    @Resource
    ProductInfoMapper productInfoDao;

    private static final Logger logger = LoggerFactory.getLogger(UdiCompanyTask.class);


    @Async
    public void transAll() {
        List<UdiCompanyEntity> udiCompanyEntities = udiCompanyService.selectAllTyshxyh();
        if (udiCompanyEntities != null && !udiCompanyEntities.isEmpty()) {
            for (int i = 0; i < udiCompanyEntities.size(); i++) {
                UdiCompanyEntity udiCompanyEntity = udiCompanyEntities.get(i);
                List<Contactlist> contactLists = udiCompanyService.selectContactBykey(udiCompanyEntity.getDeviceRecordKey());
                if (contactLists != null && contactLists.size() > 0) {
                    for (Contactlist contactlist : contactLists) {
                        udiCompanyEntity.setTyshxydm(udiCompanyEntity.getTyshxydm());
                        udiCompanyEntity.setYlqxzcrbarywmc(udiCompanyEntity.getYlqxzcrbarywmc());
                        udiCompanyEntity.setYlqxzcrbarmc(udiCompanyEntity.getYlqxzcrbarmc());
                        udiCompanyEntity.setQylxrcz(contactlist.getQylxrcz());
                        udiCompanyEntity.setQylxrdh(contactlist.getQylxrdh());
                        udiCompanyEntity.setQylxryx(contactlist.getQylxryx());
                        udiCompanyEntity.setUpdateTime(new Date());
                    }
                }
                udiCompanyService.insertUdiCompany(udiCompanyEntity);
            }
        }
    }


    //新增版本记录 转换
    @Async
    public void transNewest() {
        int index = 0;
        List<String> tyshxyhs = productInfoDao.findAllTyshxyh();
        for (String tyshxyh : tyshxyhs) {
            ProductInfoFilterRequest productInfoFilterRequest = new ProductInfoFilterRequest();
            productInfoFilterRequest.setTyshxydm(tyshxyh);
            productInfoFilterRequest.setDiType("1");
            List<ProductInfoEntity> productInfoEntities = productInfoDao.filterUdiByCreditNo(productInfoFilterRequest);
            for (ProductInfoEntity productInfoEntity : productInfoEntities) {
                //将该记录所有产品初始化
                ProductInfoFilterRequest filterRequest = new ProductInfoFilterRequest();
                filterRequest.setDeviceRecordKey(productInfoEntity.getDeviceRecordKey());
                List<ProductInfoEntity> temps = productInfoDao.filterProductInfo(filterRequest);
                if (temps != null && temps.size() > 0) {
                    ProductInfoEntity maxProduct = temps.get(0);
                    for (ProductInfoEntity change : temps) {
                        change.setIsNewest(false);
                        if (change.getVersionNumber() > maxProduct.getVersionNumber()) {
                            maxProduct = change;
                        }
                        productInfoDao.updateProductInfo(change);
                    }
                    ProductInfoEntity updateEntity = new ProductInfoEntity();
                    updateEntity.setIsNewest(true);
                    updateEntity.setUuid(maxProduct.getUuid());
                    productInfoDao.updateProductByUuid(updateEntity);
                }
                logger.info("更新 = " + productInfoEntity.getNameCode() + "--" + index);
                index++;
            }
        }
    }

    @Async
    public void transNewestByTyshxy(String tyshxyh) {
        ProductInfoFilterRequest productInfoFilterRequest = new ProductInfoFilterRequest();
        productInfoFilterRequest.setTyshxydm(tyshxyh);
        productInfoFilterRequest.setDiType("1");
        List<ProductInfoEntity> productInfoEntities = productInfoDao.filterUdiByCreditNo(productInfoFilterRequest);
        for (ProductInfoEntity productInfoEntity : productInfoEntities) {
            ProductInfoFilterRequest filterRequest = new ProductInfoFilterRequest();
            filterRequest.setDeviceRecordKey(productInfoEntity.getDeviceRecordKey());
            List<ProductInfoEntity> temps = productInfoDao.filterProductInfo(filterRequest);

            if (temps != null && temps.size() > 0) {
                ProductInfoEntity maxProduct = temps.get(0);
                for (ProductInfoEntity change : temps) {
                    change.setIsNewest(false);
                    if (change.getVersionNumber() > maxProduct.getVersionNumber()) {
                        maxProduct = change;
                    }
                    productInfoDao.updateProductInfo(change);
                }
                ProductInfoEntity updateEntity = new ProductInfoEntity();
                updateEntity.setIsNewest(true);
                updateEntity.setUuid(maxProduct.getUuid());
                productInfoDao.updateProductByUuid(updateEntity);
            }
            logger.info("更新 = " + productInfoEntity.getNameCode());
        }
    }
}
