package com.glxp.udidl.admin.util;

import lombok.extern.slf4j.Slf4j;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.nio.charset.StandardCharsets;

@Slf4j
public class FileUtils {
    public static void exportToFile(HttpServletResponse response, String str, String fileName) {
        response.setCharacterEncoding("utf-8");
        response.setContentType("application/octet-stream");
        response.setHeader("content-type", "application/octet-stream");
        response.addHeader("Content-Disposition", "attachment;filename=" + genAttachmentFileName(fileName, "default") + ".json");
        BufferedOutputStream buff = null;
        ServletOutputStream outStr = null;
        try {
            outStr = response.getOutputStream();
            buff = new BufferedOutputStream(outStr);
            buff.write(str.getBytes(StandardCharsets.UTF_8));
            buff.flush();
            buff.close();
        } catch (Exception e) {

        } finally {
            try {
                buff.close();
                ;
                outStr.close();
            } catch (Exception e) {
            }

        }
    }

    public static String exportToFile(String str, String path) {
        try {
            BufferedWriter bw = new BufferedWriter(new FileWriter(path, false));
            bw.write(str);
            bw.newLine();
            bw.close();
        } catch (Exception e) {
            return e.getMessage();
        }
        return "success";
    }

    public static void getFile(HttpServletResponse response, String path) {
        try {
            //获取需要下载的文件名
            String fileName = new File(path).getName();

            //下载文件：需要设置 消息头
            response.addHeader("content-Type", "application/octet-stream");
            response.addHeader("content-Disposition", "attachement;filename=" + fileName);

            //Servlet通过文件的地址  将文件转为输入流 读到Servlet中
            InputStream in = new BufferedInputStream(new FileInputStream(path));

            ServletOutputStream out = response.getOutputStream();
            byte[] bs = new byte[10];
            int len = -1;
            while ((len = in.read(bs)) != -1) {
                out.write(bs, 0, len);
            }
            out.close();
            in.close();
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
    }

    private static String genAttachmentFileName(String cnName, String defaultName) {
        try {
            cnName = new String(cnName.getBytes("gb2312"), "ISO8859-1");

        } catch (Exception e) {
            cnName = defaultName;
        }
        return cnName;
    }
}
