package com.glxp.udidl.admin.util;

import com.alibaba.fastjson.JSONObject;
import com.glxp.udidl.admin.entity.info.CompanyEntity;
import com.glxp.udidl.admin.entity.udid.TokenEntity;
import com.glxp.udidl.admin.req.udid.TokenRequest;
import org.springframework.stereotype.Component;

/**
 * UDI相关接口请求封装
 */
@Component
public class UdiHttpClient {

    /**
     * 获取UDI国家库token
     *
     * @param companyEntity
     * @return
     */
    public String getToken(CompanyEntity companyEntity) {
        TokenRequest tokenRequest = new TokenRequest();
        tokenRequest.setAppId(companyEntity.getAppId());
        tokenRequest.setAppSecret(companyEntity.getAppSecret());
        tokenRequest.setTyshxydm(companyEntity.getTyshxydm());
        String response = HttpClient.post("token/get", tokenRequest);
        TokenEntity tokenEntity = (TokenEntity) JSONObject.parseObject(response, TokenEntity.class);
        String token = tokenEntity.getAccessToken();
        return token;
    }

}
